com.singularsys.jeptests.system

## Class ModifiedParserTest

- java.lang.Object
- - com.singularsys.jeptests.system.ModifiedParserTest

-     public class ModifiedParserTest
      extends java.lang.Object

  Tests for various custom grammars.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ModifiedParserTest.SuffixArrayAccessShuntingYardGrammarParserFactory` Factory to create SuffixArrayAccessShuntingYard
    `static class` | `ModifiedParserTest.SuffixElePrintRule` A rule to correctly print suffix array access expressions

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifiedParserTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testLatex()` Tests a Latex like grammar
    `void` | `testMultLineString()` Test for string constants which can be broken over multiple lines.
    `void` | `testOperatorsAsFunctions()`
    `void` | `testSuffixArrayAccess()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifiedParserTest

          public ModifiedParserTest()

  - ### Method Detail

    - #### testOperatorsAsFunctions

          public void testOperatorsAsFunctions()
                                        throws ParseException,
                                               java.lang.Exception

      Throws:
        `ParseException`
        `java.lang.Exception`

    - #### testLatex

          public void testLatex()
                         throws java.lang.Exception

      Tests a Latex like grammar
      Throws:
        `java.lang.Exception`

    - #### testMultLineString

          public void testMultLineString()
                                  throws java.lang.Exception

      Test for string constants which can be broken over multiple lines.
      Throws:
        `java.lang.Exception`
      See Also:
        `MultiLineMatcher`

    - #### testSuffixArrayAccess

          public void testSuffixArrayAccess()
                                     throws JepException

      Throws:
        `JepException`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep